@charset "UTF-8";

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


html {
    font-size: 15px;
    font-family: 'Source Sans Pro', sans-serif;
}

/***************************************************/
/*header*/
/***************************************************/
.header {
    background-color: #a2a1a1;
}

.logo {
    height: 6.0rem;
    display: flex;
    align-items: center;
}

.header2 {
    display: relative;
    background-image: url("../../assets/images/bg.png");
    height: 6.0rem;
}

.subTitle {
    display: absolute;
    transform: translateY(-0.5rem);
}

.subTitle h1 {
    padding-top: 2rem;
    font-size: 2rem;
    color: #fc8106;
    font-weight: 400;
    text-align: center;
    letter-spacing: 1px;
}

.title {
    padding-top: 2rem;
}


/************************************************************/
/*splash*/
/************************************************************/

.for_movie img {
    width: 100vh;
    height: auto;
    margin: 0;
    padding: 0;
}

.score {
    display: flex;
    padding-top: 0.8rem;
}

.score p {
    margin-bottom: 0;
    color: #fc8106;
    font-weight: 600;
    font-size: 1.2rem;
}

.score img {
    height: 100%;
    padding-right: 0.8rem;
}


.responsive-iframe{
    width: 100%;
    height: 600px;
}


/************************************************************/
/*main*/
/************************************************************/
/*poster*/
.title h2 {
    height: 2.0rem;
    border-bottom: 1px solid #fc8106;
    color: #fc8106;
    font-weight: 600;
    font-size: 1.6rem;
    padding-left: 1rem;
}

.movie_poster img {
    width: 100vh;
    height: auto;
    margin: 0;
    padding: 0;
}

.descriptionWithPoster {
    height: auto;
}

.description {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.description_p {
    margin-top: 2rem;
}

.description p span {
    font-weight: 400;
    margin-left: 4px;
    color:grey;
}

.description_detail {
    margin: 0;
    padding: 0;
}

.description_detailUp p {
    line-height: 90%;
    letter-spacing: 0.8px;
    font-weight: 600;
}

.description_detailDown {
    line-height: 80%;
}

.trailer img {
    width: 100%;
}


/************************************************************/
/*cast*/

.card-section {
    padding-top: 0;
}

.card-section h3 {
    font-size: 1rem;
    font-weight: 600;
    margin: 0;
}

/************************************************************/
/*movie images*/
.movieImage_slider img,
.movieImage_Pslider img
{
    width: 100vh;
}

/************************************************************/
/*related movie*/
.related_movie {
    background-color: rgb(50, 50, 50);
    height: 20.0rem;
    color: white;
}

.relatedMovie_slider img,
.relatedMovie_Pslider img {
    width: 100vh;
}

/************************************************************/
/*did you know*/
.did_you_know p {
    padding-left: 1rem;
}



/************************************************************/
/*people*/
/************************************************************/
.people_image img {
    width: 100vh;
}

.people_image .card-section p {
    font-weight: 600;
    font-size: 1.2rem;
    color: black;
}
.life_period p {
    font-weight: 600;
}

/************************************************************/
/*footer*/
/************************************************************/
.footer {
    background-color: #a2a1a1;
    height: 7.0rem;
}

.social_icons {
    display: flex;
    justify-content: center;
    margin: 0;
}

.social_icons img {
    margin: 1rem;
}

.copyright {
    display: flex;
    justify-content: center;

}

.copyright p {
    font-size: 0.9rem;
}



/************************************************************/
/*slider & ETC*/
/************************************************************/
.card {
    border: none;
}

.slick-prev::before,
.slick-next::before {
    color: #fc8106;
    opacity: 0.5;
}

.card-section {
    padding-left: 0;
}

.slick-prev {
    left: -0.7rem;
    z-index: 1000;
}

.slick-next {
    right: -0.7rem;
    z-index: 1000;
}

.callout {
    border: none;
}

.hideAll {
    display: none;
}

.splash {
    display: block;
}


/************************************************************/
/*search*/
/************************************************************/
.search{
    margin-top: 2rem;
    padding-top: 2rem;
    border-radius: 5px;
    padding: 10px;
    font-size: 1rem;
    border: 1px solid grey;
    float: left;
    width: 90%;
    background: #ebebeb;
}

.search input[type=text] {
    padding: 10px;
    font-size: 1rem;
    border: 1px solid grey;
    float: left;
    width: 90%;
    background: #ebebeb;
}


form.search::after {
    content: "";
    clear: both;
    display: table;
}

.search_results {
    width: 20.0rem;
    background-color:rgba(255, 255, 255, 0.952);
    position: absolute;
    margin-top: 4.5rem;
    margin-left: 12rem;
    z-index: 1000;
    text-align: left;
}

.search_results img {
    width: 3.0rem;
    margin: 0.5rem;
}



/************************************************************/
/*media query*/
/************************************************************/
@media (max-width: 40em) {

    .search{
        width: 100%;
        height: auto;
    }
    .search_results {
        margin-left: 0;
    }

    .logo {
        height: 4.0rem;
        padding-top: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .responsive-iframe{
        width: 100%;
        height: 300px;
    }
}